<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.summary === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">นโยบายและแผนผลิตภัณฑ์</a>
      </div>
      <p class="pps-header_th">
        เพิ่มข้อมูลทั่วไปเกี่ยวกับผลิตภัณฑ์ตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight" *ngIf="stepTwoData.validate === true || stepTwoData.validate === null">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button></div>
  </div>

</div>

<div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
  <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">
    บันทึกร่างใบคำขอเรียบร้อย</a>
</div>

<!-- ======================================== validate  = true =================================================== -->
<div style="margin-left: 10px;" *ngIf="stepTwoData.validate === true || stepTwoData.validate === null ">

  <div class="row">
    <div class="col-12">
      <p class="head-detal">นโยบายการประกอบธุรกิจที่เกี่ยวข้องผลิตภัณฑ์นี้ <span
          style="color: #999999;">(สามารถเลือกได้มากกว่า 1 ช่องทาง)</span></p>
    </div>
    <div class="col-12 body-detal-checkbox">
      <div class="d-flex align-items-stretch checkbox-layout" *ngFor='let topic of stepTwoData.policy'>
        <div class="bd-highlight checkbox-box">
          <mat-checkbox [(ngModel)]="topic.flag" (ngModelChange)="changeSaveDraft()"></mat-checkbox>
        </div>
        <div class="bd-highlight checkbox-detail"
          [ngClass]="{'checkbox-detail-true': topic.flag === true,'checkbox-detail-false': topic.flag === false}">
          {{topic.topic}}</div>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-12">
      <p class="head-detal">สอดคล้องกับแผนยุทธศาสตร์ของธนาคารเรื่องใด <span
          style="color: #999999;">(สามารถเลือกได้มากกว่า 1 ช่องทาง)</span></p>
    </div>
    <div class="col-6 body-detal-checkbox">
      <div class="row" *ngFor='let topic of stepTwoData.strategic;  let i = index'>
        <div class="col">
          <div class="d-flex align-items-stretch checkbox-layout" *ngIf='i<=7'>
            <div class="bd-highlight checkbox-box">
              <mat-checkbox [(ngModel)]="topic.flag" (ngModelChange)="changeSaveDraft()"></mat-checkbox>
            </div>
            <div class="bd-highlight checkbox-detail"
              [ngClass]="{'checkbox-detail-true': topic.flag === true,'checkbox-detail-false': topic.flag === false}"
              (click)="topic.flag = !topic.flag; changeSaveDraft()">{{topic.topic}}</div>
          </div>
          <!-- <div *ngIf='i == 13'>อื่นๆนะ</div> -->
          <!-- <div class="d-flex align-items-stretch checkbox-layout" *ngIf='i == 13'>
            <div class="bd-highlight checkbox-box">
              <mat-checkbox (ngModelChange)="clearsectionstrategicPlan()" [(ngModel)]="topic.flag"></mat-checkbox>
            </div>
            <div class="bd-highlight checkbox-detail"
              [ngClass]="{'checkbox-detail-true': topic.flag === true,'checkbox-detail-false': topic.flag === false}"
              (click)="clearsectionstrategicPlan()">อื่นๆ</div>
          </div>
          <div class="d-flex align-items-stretch checkbox-layout" *ngIf='i == 13'>
            <textarea class="form-control input-detail"
              style="resize: vertical;width:100%;outline: 0px solid transparent;" (keyup)="autogrow(1)" rows="2"
              (click)="autogrow(1)" type="text" id="textother1" placeholder="เหตุผลประกอบ"
              [(ngModel)]="stepTwoData.strategic_detail" [disabled]="topic.flag !== true" name="textother1"
              required></textarea>
          </div> -->
        </div>
      </div>
    </div>
    <div class="col-6 body-detal-checkbox">
      <div class="row" *ngFor='let topic of stepTwoData.strategic;  let i = index'>
        <div class="col">
          <div class="d-flex align-items-stretch checkbox-layout" *ngIf='i>=8 && i<=12'>
            <div class="bd-highlight checkbox-box">
              <mat-checkbox [(ngModel)]="topic.flag" (ngModelChange)="changeSaveDraft()"></mat-checkbox>
            </div>
            <div class="bd-highlight checkbox-detail"
              [ngClass]="{'checkbox-detail-true': topic.flag === true,'checkbox-detail-false': topic.flag === false}"
              (click)="topic.flag = !topic.flag; changeSaveDraft()">{{topic.topic}}</div>
          </div>
          <!-- <div *ngIf='i == 13'>อื่นๆนะ</div> -->
          <div class="d-flex align-items-stretch checkbox-layout" *ngIf='i == 13'>
            <div class="bd-highlight checkbox-box">
              <mat-checkbox [(ngModel)]="topic.flag" (ngModelChange)="clearsectionstrategicPlan()"></mat-checkbox>
            </div>
            <div class="bd-highlight checkbox-detail"
              [ngClass]="{'checkbox-detail-true': topic.flag === true,'checkbox-detail-false': topic.flag === false}"
              (click)="clearsectionstrategicPlan()">อื่นๆ</div>
          </div>
          <div class="d-flex align-items-stretch checkbox-layout" *ngIf='i == 13'>
            <textarea class="form-control input-detail"
              style="resize: vertical;width:100%;outline: 0px solid transparent;" (keyup)="autogrow(1)" rows="2"
              (click)="autogrow(1)" type="text" id="textother1" placeholder="เหตุผลประกอบ"
              [(ngModel)]="stepTwoData.strategic_detail" (ngModelChange)="changeSaveDraft()"
              [disabled]="topic.flag !== true" name="textother1" required></textarea>
          </div>
        </div>
      </div>
    </div>
    <div style="display: block;">
      <div class="row">
        <div class="col-12">
          <p class="head-detal">แผนประจำปีการออกและทบทวนผลิตภัณฑ์ของสายงานผู้ออกผลิตภัณฑ์หรือไม่</p>
        </div>
        <div class="col-12 body-detal-checkbox">
          <mat-radio-group aria-label="Select an option" [(ngModel)]="stepTwoData.year_plan"
            (ngModelChange)="clearannualPlanDetail(stepTwoData.year_plan)">
            <div class="d-flex align-items-stretch radio-layout">
              <div class="bd-highlight checkbox-box">
                <mat-radio-button value="มี"></mat-radio-button>
              </div>
              <div class="bd-highlight radio-detail"
                [ngClass]="{'checkbox-detail-true': stepTwoData.year_plan === '1','checkbox-detail-false': stepTwoData.year_plan !== '1'}"
                (click)="clearannualPlanDetail('1')">มี</div>
            </div>
            <div class="flex-shrink-1 bd-highlight" style="margin-top: 8px;margin-bottom: 15px;"><button type="button"
                class="btn btn-primary btn-annualPlan" (click)="openTablePlan()"
                [disabled]="stepTwoData.year_plan !== 'มี' ">
                เรียกดูแผนประจำปี
              </button></div>

            <div *ngIf="stepTwoData.year_plan === 'มี' && showtable == true">
              <table mat-table [dataSource]="dataSource" style="width: 100%;">

                <!-- radio Column -->
                <ng-container matColumnDef="select">
                  <th mat-header-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element; let i = index;"
                    [ngClass]="{'td_couple': ((i+1)%2) === 0,'td_single': ((i+1)%2) !== 0 }">
                    <mat-radio-group aria-labelledby="radio-group" [(ngModel)]="selplanyear">

                      <mat-radio-button [value]="element" (change)="planYear(element)"
                        [disabled]="element.requestId !== requestId && element.requestId !== null">
                      </mat-radio-button>
                    </mat-radio-group>
                  </td>
                </ng-container>

                <!-- quarter Column -->
                <ng-container matColumnDef="quarter">
                  <th mat-header-cell *matHeaderCellDef> ไตรมาส </th>
                  <td mat-cell *matCellDef="let element; let i = index"
                    [ngClass]="{'td_couple': ((i+1)%2) === 0,'td_single': ((i+1)%2) !== 0 }">
                    {{element.quarter}}</td>
                </ng-container>

                <!-- name Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef> ชื่อผลิตภัณฑ์ </th>
                  <td mat-cell *matCellDef="let element; let i = index"
                    [ngClass]="{'td_couple': ((i+1)%2) === 0,'td_single': ((i+1)%2) !== 0}"> {{element.name}} </td>
                </ng-container>

                <!-- code Column -->
                <ng-container matColumnDef="code">
                  <th mat-header-cell *matHeaderCellDef> รหัสผลิตภัณฑ์ </th>
                  <td mat-cell *matCellDef="let element; let i = index"
                    [ngClass]="{'td_couple': ((i+1)%2) === 0,'td_single': ((i+1)%2) !== 0}"> {{element.code}} </td>
                </ng-container>

                <!-- yearPlan Column -->
                <ng-container matColumnDef="yearPlan">
                  <th mat-header-cell *matHeaderCellDef> รูปแบบของแผน </th>
                  <td mat-cell *matCellDef="let element; let i = index"
                    [ngClass]="{'td_couple': ((i+1)%2) === 0,'td_single': ((i+1)%2) !== 0}"> {{element.yearPlan}} </td>
                </ng-container>

                <!-- planStatus Column -->
                <ng-container matColumnDef="planStatus">
                  <th mat-header-cell *matHeaderCellDef> สถานะ </th>
                  <td mat-cell *matCellDef="let element; let i = index"
                    [ngClass]="{'td_couple': ((i+1)%2) === 0,'td_single': ((i+1)%2) !== 0}"> {{element.planStatus}}
                  </td>
                </ng-container>

                <!-- planStatusDetail Column -->
                <ng-container matColumnDef="planStatusDetail">
                  <th mat-header-cell *matHeaderCellDef> หมายเหตุกรณีมีสถานะล่าช้า </th>
                  <td mat-cell *matCellDef="let element; let i = index"
                    [ngClass]="{'td_couple': ((i+1)%2) === 0,'td_single': ((i+1)%2) !== 0}">
                    <span *ngIf="this.ckplandetail !== element.id">{{element.planStatusDetail}}</span>

                    <input type="text"
                      *ngIf="this.ckplandetail === element.id && this.selplanyear.planStatus === 'ล่าช้า'"
                      class="form-control" [(ngModel)]="selplanyear.planStatusDetail" name="planStatusDetail"
                      placeholder="หมายเหตุกรณีมีสถานะล่าช้า" (change)="planYear(element)">
                  </td>

                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
              </table>
              <br>
            </div>

            <div class="d-flex align-items-stretch radio-layout mb-2">
              <div class="bd-highlight checkbox-box">
                <mat-radio-button value="ไม่มี"></mat-radio-button>
              </div>
              <div class="bd-highlight radio-detail"
                [ngClass]="{'checkbox-detail-true': stepTwoData.year_plan === 'ไม่มี','checkbox-detail-false': stepTwoData.year_plan !== 'ไม่มี'}"
                (click)="clearannualPlanDetail('2')">ไม่มี</div>
            </div>
            <textarea class="form-control input-detail"
              style="resize: vertical;width:100%;outline: 0px solid transparent;" (keyup)="autogrow(2)" rows="2"
              (click)="autogrow(2)" type="text" id="textother2" placeholder="เหตุผลประกอบ"
              [(ngModel)]="stepTwoData.year_plan_detail" [disabled]="stepTwoData.year_plan !== 'ไม่มี' "
              name="textother2" required></textarea>
          </mat-radio-group>
        </div>
      </div>

      <div class="row">
        <div class="col-12">
          <p class="head-detal">มีการพัฒนา/ปรับปรุง/เปลี่ยนแปลงเกี่ยวกับระบบงาน</p>
        </div>
        <div class="col-12 body-detal-checkbox">
          <mat-radio-group aria-label="Select an option" [(ngModel)]="stepTwoData.is_update"
            (ngModelChange)="changeSaveDraft()">
            <div class="d-flex align-items-stretch radio-layout">
              <div class="bd-highlight checkbox-box">
                <mat-radio-button value="ใช่"></mat-radio-button>
              </div>
              <div class="bd-highlight radio-detail"
                [ngClass]="{'checkbox-detail-true': stepTwoData.is_update === 'ใช่','checkbox-detail-false': stepTwoData.is_update !== 'ไม่ใช่'}"
                (click)="stepTwoData.is_update = 'ใช่'; changeSaveDraft()">ใช่</div>
            </div>
            <div class="d-flex align-items-stretch radio-layout">
              <div class="bd-highlight checkbox-box">
                <mat-radio-button value="ไม่ใช่"></mat-radio-button>
              </div>
              <div class="bd-highlight radio-detail"
                [ngClass]="{'checkbox-detail-true': stepTwoData.is_update === 'ไม่ใช่','checkbox-detail-false': stepTwoData.is_update !== 'ใช่'}"
                (click)="stepTwoData.is_update = 'ไม่ใช่'; changeSaveDraft()">ไม่ใช่</div>
            </div>
          </mat-radio-group>
        </div>
      </div>

    </div>


  </div>

  <div class="row " [ngStyle]="{'display': template_manage.summary === 'show' ? 'none' : '' }">
    <div class="col-12">

      <br><br><br>
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
    </div>
  </div>
  <br> <br>
</div>
<!-- ======================================== end validate  = true =================================================== -->



<!-- ======================================== validate  = false =================================================== -->
<div style="margin-left: 10px;" *ngIf="stepTwoData.validate === false">

  <div class="row">
    <div class="col-12">
      <p class="head-detal" style="margin-bottom: 5px;">นโยบายการประกอบธุรกิจที่เกี่ยวข้องผลิตภัณฑ์นี้</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 view_ul">
      <div *ngFor='let topic of stepTwoData.policy'>
        <div *ngIf="topic.flag">
          <ul>
            <li class="ul_10">{{topic.topic}}</li>
          </ul>
        </div>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-12">
      <p class="head-detal" style="margin-bottom: 5px;">สอดคล้องกับแผนยุทธศาสตร์ของธนาคารเรื่องใด</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 view_ul">
      <div *ngFor='let topic of stepTwoData.strategic;  let i = index'>
        <div *ngIf="topic.flag && i<13">
          <ul>
            <li class="ul_10">{{topic.topic}}</li>
          </ul>
        </div>
        <div *ngIf="topic.flag && i == 13">
          <ul>
            <li class="ul_10">
              <div class="row">
                <div class="col-3">
                  {{topic.topic}}
                </div>
                <div class="col-3">
                  ระบุ
                </div>
                <div class="col-6" style=" word-wrap: break-word;">
                  {{stepTwoData.strategic_detail}}
                </div>
              </div>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-12">
      <p class="head-detal" style="margin-bottom: 5px;">แผนประจำปีการออกและทบทวนผลิตภัณฑ์ของสายงานผู้ออกผลิตภัณฑ์หรือไม่
      </p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 view_ul" *ngIf="stepTwoData.year_plan === 'มี'">
      <ul>
        <li class="ul_10">มี</li>
      </ul>
      <!-- <div class="flex-shrink-1 bd-highlight" style="margin-top: 8px;margin-bottom: 15px;"><button type="button"
          class="btn btn-primary btn-annualPlan" (click)="openTablePlan()" [disabled]="stepTwoData.year_plan !== 'มี' ">
          เรียกดูแผนประจำปี
        </button></div> -->

      <!-- <div *ngIf="stepTwoData.year_plan === 'มี' && showtable == true">
        <table mat-table [dataSource]="dataSource" style="width: 100%;"> -->

      <!-- quarter Column -->
      <!-- <ng-container matColumnDef="quarter">
            <th mat-header-cell *matHeaderCellDef> ไตรมาส </th>
            <td mat-cell *matCellDef="let element; let i = index"
              [ngClass]="{'td_couple': ((i+1)%2) === 0,'td_single': ((i+1)%2) !== 0 }" style="padding-left: 45px;">
              {{element.quarter}}</td>
          </ng-container> -->

      <!-- name Column -->
      <!-- <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef> ชื่อผลิตภัณฑ์ </th>
            <td mat-cell *matCellDef="let element; let i = index"
              [ngClass]="{'td_couple': ((i+1)%2) === 0,'td_single': ((i+1)%2) !== 0}"> {{element.name}} </td>
          </ng-container> -->

      <!-- code Column -->
      <!-- <ng-container matColumnDef="code">
            <th mat-header-cell *matHeaderCellDef> รหัสผลิตภัณฑ์ </th>
            <td mat-cell *matCellDef="let element; let i = index"
              [ngClass]="{'td_couple': ((i+1)%2) === 0,'td_single': ((i+1)%2) !== 0}"> {{element.code}} </td>
          </ng-container> -->

      <!-- yearPlan Column -->
      <!-- <ng-container matColumnDef="yearPlan">
            <th mat-header-cell *matHeaderCellDef> รูปแบบของแผน </th>
            <td mat-cell *matCellDef="let element; let i = index"
              [ngClass]="{'td_couple': ((i+1)%2) === 0,'td_single': ((i+1)%2) !== 0}"> {{element.yearPlan}} </td>
          </ng-container> -->

      <!-- planStatus Column -->
      <!-- <ng-container matColumnDef="planStatus">
            <th mat-header-cell *matHeaderCellDef> สถานะ </th>
            <td mat-cell *matCellDef="let element; let i = index"
              [ngClass]="{'td_couple': ((i+1)%2) === 0,'td_single': ((i+1)%2) !== 0}"> {{element.planStatus}} </td>
          </ng-container> -->

      <!-- planStatusDetail Column -->
      <!-- <ng-container matColumnDef="planStatusDetail">
            <th mat-header-cell *matHeaderCellDef> หมายเหตุกรณีมีสถานะล่าช้า </th>
            <td mat-cell *matCellDef="let element; let i = index"
              [ngClass]="{'td_couple': ((i+1)%2) === 0,'td_single': ((i+1)%2) !== 0}"> {{element.planStatusDetail}}
            </td>
          </ng-container> -->

      <!-- <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr> -->
      <!-- </table>
        <br>
      </div> -->
    </div>
    <div class="col-12 view_ul" *ngIf="stepTwoData.year_plan === 'ไม่มี'" style="word-break: break-all;">
      <ul>
        <li class="ul_10">ไม่มี</li>
      </ul>
      &nbsp;&nbsp;&nbsp;&nbsp; เหตุผล: {{stepTwoData.year_plan_detail}}
    </div>
    <br>
  </div>


  <div class="row">
    <div class="col-12">
      <p class="head-detal" style="margin-bottom: 5px;">มีการพัฒนา/ปรับปรุง/เปลี่ยนแปลงเกี่ยวกับระบบงาน</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12 view_ul">
      <ul>
        <li class="ul_10" *ngIf="stepTwoData.is_update === 'ใช่'">ใช่</li>
        <li class="ul_10" *ngIf="stepTwoData.is_update === 'ไม่ใช่'">ไม่ใช่</li>
      </ul>
    </div>
  </div>

  <br> <br>
</div>
<!-- ======================================== end validate  = false =================================================== -->
<div class="row" *ngIf="stepTwoData.validate === false"
  [ngStyle]="{'display': template_manage.summary === 'show' ? 'none' : '' }">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>